ChangeSet 1.1143.1.10, 2003/03/20 11:15:18-08:00, greg@kroah.com

[PATCH] i2c i2c-ali15x3.c: remove check_region() call.


 drivers/i2c/busses/i2c-ali15x3.c |    5 +----
 1 files changed, 1 insertion(+), 4 deletions(-)


diff -Nru a/drivers/i2c/busses/i2c-ali15x3.c b/drivers/i2c/busses/i2c-ali15x3.c
--- a/drivers/i2c/busses/i2c-ali15x3.c	Thu Mar 20 12:54:58 2003
+++ b/drivers/i2c/busses/i2c-ali15x3.c	Thu Mar 20 12:54:58 2003
@@ -170,7 +170,7 @@
 	if(force_addr)
 		ali15x3_smba = force_addr & ~(ALI15X3_SMB_IOSIZE - 1);
 
-	if (check_region(ali15x3_smba, ALI15X3_SMB_IOSIZE)) {
+	if (!request_region(ali15x3_smba, ALI15X3_SMB_IOSIZE, "ali15x3-smb")) {
 		dev_err(&ALI15X3_dev->dev,
 			"ALI15X3_smb region 0x%x already in use!\n",
 			ali15x3_smba);
@@ -209,9 +209,6 @@
 
 /* set SMB clock to 74KHz as recommended in data sheet */
 	pci_write_config_byte(ALI15X3_dev, SMBCLK, 0x20);
-
-	/* Everything is happy, let's grab the memory and set things up. */
-	request_region(ali15x3_smba, ALI15X3_SMB_IOSIZE, "ali15x3-smb");
 
 /*
   The interrupt routing for SMB is set up in register 0x77 in the
